precision mediump float;

uniform sampler2D texture0;
uniform sampler2D texture1;

varying vec2 varTexCoord0;
varying vec2 varTexCoord1;

#ifdef FOG_ENABLED
varying vec3 vFogColor;
#endif

void main(void)
{
    // add signed    
	gl_FragColor = (texture2D(texture0, varTexCoord0.xy) + vec4(texture2D(texture1, varTexCoord1.xy).rgb, 1.0 )) - 0.5;
}
