precision mediump float;

uniform sampler2D texture0;
uniform sampler2D texture1;

varying vec2 varTexCoord0;
varying vec2 varTexCoord1;
varying vec3 varLightColor;

void main(void)
{
  // M2 << 1; Bitwise operation not supported
  vec3 light = clamp(varLightColor + (texture2D(texture1, varTexCoord1.xy).rgb * 2.0), vec3(0.0), vec3(1.0));  
	gl_FragColor = texture2D(texture0, varTexCoord0.xy) * vec4(light,1.0);
}
