precision mediump float;

attribute vec4 inVertexPosition;
attribute vec4 inVertexColor;
attribute vec4 inTexCoord0;
attribute vec4 inTexCoord1;

uniform highp mat4 uMvpMatrix;
uniform float uTexScale;

varying vec2 varTexCoord0;
varying vec2 varTexCoord1;

void main(void)
{
	gl_Position = uMvpMatrix * inVertexPosition;	
	varTexCoord0 = (uTexScale * inTexCoord0).xy;
	varTexCoord1 = (uTexScale * inTexCoord1).xy;
}