precision mediump float;

uniform sampler2D texture0;
uniform sampler2D texture1;

uniform int TextureStage;

varying vec4 varTexCoord0;
varying vec4 varTexCoord1;

void main (void)
{
	vec4 color = texture2D( texture0, varTexCoord0.xy);
	vec4 env = texture2D( texture1, varTexCoord1.xy);

	gl_FragColor = color + env * 0.4;
}
