precision mediump float;

uniform sampler2D texture0;
uniform sampler2D texture1;

varying vec2 varTexCoord;
varying vec3 varLightColor;

void main(void)
{
  vec4 tex0 = texture2D(texture0, varTexCoord.xy);
  vec4 tex1 = texture2D(texture1, varTexCoord.xy);
  gl_FragColor = ((tex0 * (1.0 - tex1.a)) + (tex1 * tex1.a)) * vec4(varLightColor,1.0);
}