precision highp float;

uniform sampler2D texture0;
uniform lowp float uAlphaThreshold;
varying vec2 varTexCoord0;

void main(void)
{
	gl_FragColor = texture2D(texture0, varTexCoord0.xy);
	if (gl_FragColor.a < uAlphaThreshold)
		discard; // Don't write Z Buffer.
}
