precision mediump float;

attribute vec4 inVertexPosition;
attribute vec4 inTexCoord0;

uniform highp mat4 uMvpMatrix;

varying vec2 varTexCoord0;

void main(void)
{
	gl_Position = uMvpMatrix * inVertexPosition;	
	varTexCoord0 = inTexCoord0.xy;
}