precision mediump float;

attribute vec4 inVertexPosition;
attribute vec3 inVertexNormal;
attribute vec4 inTexCoord0;

uniform highp mat4 uMvpMatrix;

varying vec2 varTexCoord;

void main(void)
{
	gl_Position = uMvpMatrix * vec4(inVertexPosition.xyz,1.0);
	varTexCoord.xy = inTexCoord0.xy;
}
