precision mediump float;

attribute vec4 inVertexPosition;
attribute vec4 inTexCoord0;
attribute vec4 inTexCoord1;

uniform highp mat4 uMvpMatrix;

varying vec2 varTexCoord0;
varying vec2 varTexCoord1;

void main(void)
{
	gl_Position = uMvpMatrix * vec4(inVertexPosition.xyz,1.0);	
	varTexCoord0 = inTexCoord0.xy;
	varTexCoord1 = inTexCoord1.xy;
}