precision mediump float;

attribute vec4 inVertexPosition;
attribute vec3 inVertexNormal;
attribute vec4 inVertexColor;
attribute vec4 inTexCoord0;

uniform highp mat4 uMvpMatrix;
uniform highp mat4 uTexMatrix0;

varying vec4 varTexCoord;
varying vec4 varColor;

void main(void)
{
	gl_Position = uMvpMatrix * vec4(inVertexPosition.xyz, 1.0);		
	varTexCoord = uTexMatrix0 * inTexCoord0;
	varColor = inVertexColor;
}