precision mediump float;

attribute vec4 inVertexPosition;
attribute vec4 inTexCoord0;
attribute vec4 inVertexColor;

uniform highp mat4 uMvpMatrix;
uniform highp mat4 uTexMatrix0;

varying vec4 varTexCoord0;
varying vec4 varVertexColor;

void main(void)
{
	gl_Position = uMvpMatrix * vec4(inVertexPosition.xyz,1.0);	
	varTexCoord0 = uTexMatrix0 * inTexCoord0;
	varVertexColor = inVertexColor;
}