precision mediump float;

attribute vec4 inVertexPosition;
attribute vec4 inVertexColor;
attribute vec4 inTexCoord0;

uniform highp mat4 uMvpMatrix;

varying vec2 varTexCoord0;
varying vec4 varColor;

void main(void)
{
	varColor = inVertexColor.bgra;
	gl_Position = uMvpMatrix * inVertexPosition;	
	varTexCoord0 = inTexCoord0.xy;
}